<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  ProjectDetailsComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/components/project-details/project-details.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-project-details</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./project-details.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./project-details.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#message" >message</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#deleteProject" >deleteProject</a>
                            </li>
                            <li>
                                <a href="#getProject" >getProject</a>
                            </li>
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#updateProject" >updateProject</a>
                            </li>
                            <li>
                                <a href="#updateStatus" >updateStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#currentProject" >currentProject</a>
                            </li>
                            <li>
                                <a href="#viewMode" >viewMode</a>
                            </li>
                        </ul>
                    </td>
                </tr>




        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(projectService: <a href="../injectables/ProjectAppService.html" target="_self">ProjectAppService</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:20</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>projectService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/ProjectAppService.html" target="_self" >ProjectAppService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentProject"></a>
                        <b>currentProject</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../interfaces/Project.html" target="_self" >Project</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>{
    title: &#x27;&#x27;,
    description: &#x27;&#x27;,
  }</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:16</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="viewMode"></a>
                        <b>viewMode</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>false</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:15</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="deleteProject"></a>
                    <span class="name">
                        <span ><b>deleteProject</b></span>
                        <a href="#deleteProject"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>deleteProject()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="69"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:69</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getProject"></a>
                    <span class="name">
                        <span ><b>getProject</b></span>
                        <a href="#getProject"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>getProject(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="31"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:31</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>id</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="25"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:25</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateProject"></a>
                    <span class="name">
                        <span ><b>updateProject</b></span>
                        <a href="#updateProject"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>updateProject()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="57"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:57</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateStatus"></a>
                    <span class="name">
                        <span ><b>updateStatus</b></span>
                        <a href="#updateStatus"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>updateStatus(status: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="41"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:41</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>status</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="message"></a>
                    <span class="name">
                        <span ><b>message</b></span>
                        <a href="#message"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>&#x27;&#x27;</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">projects/projects-app-ang/src/app/components/project-details/project-details.component.ts:20</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit, Input } from &#x27;@angular/core&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;


import { Project } from &#x27;../../Project&#x27;;
import { ProjectAppService } from &#x27;../../services/project-app.service&#x27;;

@Component({
  selector: &#x27;app-project-details&#x27;,
  templateUrl: &#x27;./project-details.component.html&#x27;,
  styleUrls: [&#x27;./project-details.component.css&#x27;]
})
export class ProjectDetailsComponent implements OnInit {

  @Input() viewMode &#x3D; false;
  @Input() currentProject: Project &#x3D; {
    title: &#x27;&#x27;,
    description: &#x27;&#x27;,
  };
  message &#x3D; &#x27;&#x27;;
  constructor(
    private projectService: ProjectAppService,
    private route: ActivatedRoute,
    private router: Router) { }
  ngOnInit(): void {
    if (!this.viewMode) {
      this.message &#x3D; &#x27;&#x27;;
      this.getProject(this.route.snapshot.params[&quot;id&quot;]);
    }
  }
  getProject(id: string): void {
    this.projectService.get(id)
      .subscribe({
        next: (data) &#x3D;&gt; {
          this.currentProject &#x3D; data;
          console.log(data);
        },
        error: (e) &#x3D;&gt; console.error(e)
      });
  }
  updateStatus(status: boolean): void {
    const data &#x3D; {
      title: this.currentProject.title,
      description: this.currentProject.description,
    };
    this.message &#x3D; &#x27;&#x27;;
    this.projectService.update(this.currentProject.id, data)
      .subscribe({
        next: (res) &#x3D;&gt; {
          console.log(res);
          this.message &#x3D; res.message ? res.message : &#x27;The status was updated successfully!&#x27;;
        },
        error: (e) &#x3D;&gt; console.error(e)
      });
  }
  
  updateProject(): void {
    this.message &#x3D; &#x27;&#x27;;
    this.projectService.update(this.currentProject.id, this.currentProject)
      .subscribe({
        next: (res) &#x3D;&gt; {
          console.log(res);
          this.message &#x3D; res.message ? res.message : &#x27;This project was updated successfully!&#x27;;
        },
        error: (e) &#x3D;&gt; console.error(e)
      });
  }

  deleteProject(): void {
    this.projectService.delete(this.currentProject.id)
      .subscribe({
        next: (res) &#x3D;&gt; {
          console.log(res);
          this.router.navigate([&#x27;/projects&#x27;]);
        },
        error: (e) &#x3D;&gt; console.error(e)
      });
  } 
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div *ngIf&#x3D;&quot;viewMode; else editable&quot;&gt;
    &lt;div *ngIf&#x3D;&quot;currentProject.id&quot;&gt;
      &lt;h4&gt;Project&lt;/h4&gt;
      &lt;div&gt;
        &lt;label&gt;&lt;strong&gt;Title:&lt;/strong&gt;&lt;/label&gt; {{ currentProject.title }}
      &lt;/div&gt;
      &lt;div&gt;
        &lt;label&gt;&lt;strong&gt;Short title:&lt;/strong&gt;&lt;/label&gt;
        {{ currentProject.short_title }}
      &lt;/div&gt;
      &lt;div&gt;
        &lt;label&gt;&lt;strong&gt;Status:&lt;/strong&gt;&lt;/label&gt;
        {{ currentProject.status }}
      &lt;/div&gt;
      &lt;div&gt;
        &lt;label&gt;&lt;strong&gt;Start date:&lt;/strong&gt;&lt;/label&gt;
        {{ currentProject.start_date }}
      &lt;/div&gt;
      &lt;div&gt;
        &lt;label&gt;&lt;strong&gt;Description:&lt;/strong&gt;&lt;/label&gt;
        {{ currentProject.description }}
      &lt;/div&gt;
      &lt;a
        class&#x3D;&quot;badge badge-warning&quot;
        routerLink&#x3D;&quot;/projects/{{ currentProject.id }}&quot;
      &gt;
        Edit
      &lt;/a&gt;
    &lt;/div&gt;
    &lt;div *ngIf&#x3D;&quot;!currentProject&quot;&gt;
      &lt;br /&gt;
      &lt;p&gt;Please click on a Project...&lt;/p&gt;
    &lt;/div&gt;
  &lt;/div&gt;
  &lt;ng-template #editable&gt;
    &lt;div *ngIf&#x3D;&quot;currentProject.id&quot; class&#x3D;&quot;edit-form&quot;&gt;
      &lt;h4&gt;Project&lt;/h4&gt;
      &lt;form&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;title&quot;&gt;Title&lt;/label&gt;
          &lt;input
            type&#x3D;&quot;text&quot;
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;title&quot;
            [(ngModel)]&#x3D;&quot;currentProject.title&quot;
            name&#x3D;&quot;title&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;short_title&quot;&gt;Short title&lt;/label&gt;
          &lt;input
            type&#x3D;&quot;text&quot;
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;short_title&quot;
            [(ngModel)]&#x3D;&quot;currentProject.short_title&quot;
            name&#x3D;&quot;short_title&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;status&quot;&gt;Status&lt;/label&gt;
          &lt;input
            type&#x3D;&quot;text&quot;
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;status&quot;
            [(ngModel)]&#x3D;&quot;currentProject.status&quot;
            name&#x3D;&quot;status&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;start_date&quot;&gt;Start date (Format: YYYY-MM-DD)&lt;/label&gt;
          &lt;input
            type&#x3D;&quot;text&quot;
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;start_date&quot;
            [(ngModel)]&#x3D;&quot;currentProject.start_date&quot;
            name&#x3D;&quot;start_date&quot;
          /&gt;
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;label for&#x3D;&quot;description&quot;&gt;Description&lt;/label&gt;
          &lt;input
            type&#x3D;&quot;text&quot;
            class&#x3D;&quot;form-control&quot;
            id&#x3D;&quot;description&quot;
            [(ngModel)]&#x3D;&quot;currentProject.description&quot;
            name&#x3D;&quot;description&quot;
          /&gt;
        &lt;/div&gt;
      &lt;/form&gt;

      &lt;!-- Delete button--&gt;
      &lt;button class&#x3D;&quot;badge badge-danger mr-2&quot; (click)&#x3D;&quot;deleteProject()&quot;&gt;
        Delete
      &lt;/button&gt;

      &lt;!-- Update button--&gt;
      &lt;button
        type&#x3D;&quot;submit&quot;
        class&#x3D;&quot;badge badge-success mb-2&quot;
        (click)&#x3D;&quot;updateProject()&quot;
      &gt;
        Update
      &lt;/button&gt;


      &lt;p&gt;{{ message }}&lt;/p&gt;
    &lt;/div&gt;

    &lt;!-- If project can not be found following message is displayed--&gt;
    &lt;div *ngIf&#x3D;&quot;!currentProject.id&quot;&gt;
      &lt;br /&gt;
      &lt;p&gt;Cannot access this Project...&lt;/p&gt;
    &lt;/div&gt;

  &lt;/ng-template&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./project-details.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.edit-form {
    max-width: 400px;
    margin: auto;
  }</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div *ngIf="viewMode; else editable">    <div *ngIf="currentProject.id">      <h4>Project</h4>      <div>        <label><strong>Title:</strong></label> {{ currentProject.title }}      </div>      <div>        <label><strong>Short title:</strong></label>        {{ currentProject.short_title }}      </div>      <div>        <label><strong>Status:</strong></label>        {{ currentProject.status }}      </div>      <div>        <label><strong>Start date:</strong></label>        {{ currentProject.start_date }}      </div>      <div>        <label><strong>Description:</strong></label>        {{ currentProject.description }}      </div>      <a        class="badge badge-warning"        routerLink="/projects/{{ currentProject.id }}"      >        Edit      </a>    </div>    <div *ngIf="!currentProject">      <br />      <p>Please click on a Project...</p>    </div>  </div>  <ng-template #editable>    <div *ngIf="currentProject.id" class="edit-form">      <h4>Project</h4>      <form>        <div class="form-group">          <label for="title">Title</label>          <input            type="text"            class="form-control"            id="title"            [(ngModel)]="currentProject.title"            name="title"          />        </div>        <div class="form-group">          <label for="short_title">Short title</label>          <input            type="text"            class="form-control"            id="short_title"            [(ngModel)]="currentProject.short_title"            name="short_title"          />        </div>        <div class="form-group">          <label for="status">Status</label>          <input            type="text"            class="form-control"            id="status"            [(ngModel)]="currentProject.status"            name="status"          />        </div>        <div class="form-group">          <label for="start_date">Start date (Format: YYYY-MM-DD)</label>          <input            type="text"            class="form-control"            id="start_date"            [(ngModel)]="currentProject.start_date"            name="start_date"          />        </div>        <div class="form-group">          <label for="description">Description</label>          <input            type="text"            class="form-control"            id="description"            [(ngModel)]="currentProject.description"            name="description"          />        </div>      </form>      <!-- Delete button-->      <button class="badge badge-danger mr-2" (click)="deleteProject()">        Delete      </button>      <!-- Update button-->      <button        type="submit"        class="badge badge-success mb-2"        (click)="updateProject()"      >        Update      </button>      <p>{{ message }}</p>    </div>    <!-- If project can not be found following message is displayed-->    <div *ngIf="!currentProject.id">      <br />      <p>Cannot access this Project...</p>    </div>  </ng-template></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'ProjectDetailsComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ProjectDetailsComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
